## wxPasswordEntryDialog

This class represents a dialog that requests a one-line password string from the user. It is implemented as a generic wxWidgets dialog.

Derived from

wxTextEntryDialog
wxDialog
wxWindow
wxEvtHandler
wxObject

Include files

<wx/textdlg.h>

See also

wxPassowrdEntryDialog overview

Members

wxPasswordEntryDialog::wxPasswordEntryDialog

### wxPasswordEntryDialog::wxPasswordEntryDialog

wxPasswordEntryDialog(wxWindow* parent, const wxString& message, const wxString& caption = "Enter password", const wxString& defaultValue = "", long style = wxOK | wxCANCEL | wxCENTRE, const wxPoint& pos = wxDefaultPosition)

Constructor. Use wxTextEntryDialog::ShowModal to show the dialog.

Parameters

parent

Parent window.

message

Message to show on the dialog.

defaultValue

The default value, which may be the empty string.

style

A dialog style, specifying the buttons (wxOK, wxCANCEL) and an optional wxCENTRE style. You do not need to specify the wxTE_PASSWORD style, it is always applied.

pos

Dialog position.